## haskell-chimera 0.3.3.0

=== debian/changelog ===
haskell-chimera (0.3.3.0-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 15 Oct 2023 14:59:46 -0400

haskell-chimera (0.3.2.0-1) unstable; urgency=low

  * Initial release

 -- Clint Adams <clint@debian.org>  Sun, 08 Oct 2023 20:45:38 -0400
