=== debian/control ===
Source: haskell-chimera
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Clint Adams <clint@debian.org>
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends: debhelper (>= 10),
 haskell-devscripts-minimal | haskell-devscripts (>= 0.13),
 cdbs,
 ghc,
 ghc-prof,
 libghc-adjunctions-dev,
 libghc-adjunctions-prof,
 libghc-distributive-dev,
 libghc-distributive-prof,
 libghc-primitive-dev,
 libghc-primitive-prof,
 libghc-vector-dev,
 libghc-vector-prof,
 libghc-quickcheck2-dev (>= 2.10),
 libghc-quickcheck2-prof (>= 2.10),
 libghc-tasty-dev,
 libghc-tasty-prof,
 libghc-tasty-hunit-dev,
 libghc-tasty-hunit-prof,
 libghc-tasty-quickcheck-dev,
 libghc-tasty-quickcheck-prof,
 libghc-tasty-smallcheck-dev,
 libghc-tasty-smallcheck-prof,
Build-Depends-Indep: ghc-doc,
 libghc-adjunctions-doc,
 libghc-distributive-doc,
 libghc-primitive-doc,
 libghc-vector-doc,
Standards-Version: 4.6.2
Homepage: https://github.com/Bodigrim/chimera#readme
X-Description: lazy infinite compact streams with cache-friendly O(1) indexing
 There are plenty of memoizing libraries on Hackage, but they
 usually fall into two categories:
 .
 * Store cache as a flat array, enabling us
 to obtain cached values in O(1) time, which is nice.
 The drawback is that one must specify the size
 of the array beforehand,
 limiting an interval of inputs,
 and actually allocate it at once.
 * Store cache as a lazy binary tree.
 Thanks to laziness, one can freely use the full range of inputs.
 The drawback is that obtaining values from a tree
 takes logarithmic time and is unfriendly to CPU cache,
 which kinda defeats the purpose.
 .
 This package intends to tackle both issues,
 providing a data type 'Chimera' for
 lazy infinite compact streams with cache-friendly O(1) indexing.
 .
 Additional features include:
 .
 * memoization of recursive functions and recurrent sequences,
 * memoization of functions of several, possibly signed arguments,
 * efficient memoization of boolean predicates.

Package: libghc-chimera-dev
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-chimera-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-chimera-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}
