## haskell-chimera 0.3.4.0

=== debian/changelog ===
haskell-chimera (0.3.4.0-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * New upstream release (Closes: #1057917)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 06 Oct 2024 19:06:56 +0300
