=== debian/control ===
--- 
+++ 
@@ -9,30 +9,35 @@
  cdbs,
  ghc,
  ghc-prof,
- libghc-adjunctions-dev,
+ libghc-adjunctions-dev (<< 4.5),
  libghc-adjunctions-prof,
- libghc-distributive-dev,
+ libghc-distributive-dev (<< 0.7),
  libghc-distributive-prof,
- libghc-primitive-dev,
+ libghc-infinite-list-dev (<< 0.2),
+ libghc-infinite-list-prof,
+ libghc-primitive-dev (<< 0.10),
  libghc-primitive-prof,
- libghc-vector-dev,
+ libghc-vector-dev (<< 0.14),
  libghc-vector-prof,
  libghc-quickcheck2-dev (>= 2.10),
- libghc-quickcheck2-prof (>= 2.10),
- libghc-tasty-dev,
+ libghc-quickcheck2-dev (<< 2.15),
+ libghc-quickcheck2-prof,
+ libghc-tasty-dev (<< 1.6),
  libghc-tasty-prof,
- libghc-tasty-hunit-dev,
+ libghc-tasty-hunit-dev (<< 0.11),
  libghc-tasty-hunit-prof,
- libghc-tasty-quickcheck-dev,
+ libghc-tasty-quickcheck-dev (<< 0.11),
  libghc-tasty-quickcheck-prof,
- libghc-tasty-smallcheck-dev,
+ libghc-tasty-smallcheck-dev (<< 0.9),
  libghc-tasty-smallcheck-prof,
+ libghc-vector-dev,
 Build-Depends-Indep: ghc-doc,
  libghc-adjunctions-doc,
  libghc-distributive-doc,
+ libghc-infinite-list-doc,
  libghc-primitive-doc,
  libghc-vector-doc,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/Bodigrim/chimera#readme
 X-Description: lazy infinite compact streams with cache-friendly O(1) indexing
  There are plenty of memoizing libraries on Hackage, but they
