## haskell-chimera 0.4.1.0

=== debian/changelog ===
haskell-chimera (0.4.1.0-1) unstable; urgency=medium

  [ Scott Talbert ]
  * Build using dh-haskell

  [ Ilias Tsitsimpis ]
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 26 Jan 2026 23:12:03 +0200
