=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Priority: optional
 Section: haskell
 Rules-Requires-Root: no
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
  haskell-devscripts-minimal | haskell-devscripts (>= 0.13),
- cdbs,
+ dh-sequence-haskell,
  ghc,
  ghc-prof,
  libghc-adjunctions-dev (<< 4.5),
@@ -20,13 +20,13 @@
  libghc-vector-dev (<< 0.14),
  libghc-vector-prof,
  libghc-quickcheck2-dev (>= 2.10),
- libghc-quickcheck2-dev (<< 2.15),
+ libghc-quickcheck2-dev (<< 2.17),
  libghc-quickcheck2-prof,
  libghc-tasty-dev (<< 1.6),
  libghc-tasty-prof,
  libghc-tasty-hunit-dev (<< 0.11),
  libghc-tasty-hunit-prof,
- libghc-tasty-quickcheck-dev (<< 0.11),
+ libghc-tasty-quickcheck-dev (<< 0.12),
  libghc-tasty-quickcheck-prof,
  libghc-tasty-smallcheck-dev (<< 0.9),
  libghc-tasty-smallcheck-prof,
@@ -39,6 +39,8 @@
  libghc-vector-doc,
 Standards-Version: 4.7.0
 Homepage: https://github.com/Bodigrim/chimera#readme
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-chimera
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-chimera]
 X-Description: lazy infinite compact streams with cache-friendly O(1) indexing
  There are plenty of memoizing libraries on Hackage, but they
  usually fall into two categories:
